Subject: Re: bug#11490: vc-next-action overwrites changes in non-checked-out RCS file

From: Glenn Morris <[email-masked]>
Date: Wed, 16 May 2012 16:12:40 -0400

Jonathan Kamens wrote:

> GNU Emacs 24.0.95.1 (x86_64-redhat-linux-gnu, GTK+ Version 2.24.10) of
> 2012-04-06 on x86-13.phx2.fedoraproject.org
>
> Make an RCS file writable with chmod +w without locking it.
>
> Make changes to the file.
>
> Type C-x v v.
>
> The file will be locked and checked out and your changes will be
> overwritten.

I cannot reproduce this. I did:

mkdir foo
cd foo
mkdir RCS
echo initial > file
ci -u -t-foo file
chmod +w file
emacs-24.0.96 -Q file
add some text to file
C-x v v

A log buffer appears. I enter some text and press C-c C-c.
I am told the buffer is modified and prompted to save it. I do so.

At this point, RCS returns an error:

  RCS/file,v  <--  file
  ci: RCS/file,v: no lock set by gmorris for revision 1.1

The contents of the file on disk and in the Emacs buffer are unchanged
(ie, the added text is still present).

This was with RCS 5.7. I never normally use RCS, maybe I am missing
something.

Do you have a recipe starting from emacs -Q that shows the problem?